Get Release Groups
https://app.fossa.com/api/v2/release-groupsFetch the list of release groups based on provided filters.
Query parameters
sortenumThe category to order the results by and sort direction.
title_asctitle_descissues-total_ascissues-total_desclatest-scan_asclatest-scan_descpageintegerThe specific page of data to return
countintegerThe number of items to return in each page of results
titlestringFilter by release group name.
teamIdstring | number[]Filter by one or more team IDs. Providing "null" will return all unassigned release groups.
latestScanintegerFilter by last policy scan within N days.
isPublicbooleanFilter by whether the release group is public on the portal.
Responses
200OkaytotalintegerreleaseGroupsobject[]idintegertitlestringpublicOnPortalbooleanscannedstring <date-time>issuesintegerprojectsinteger403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/v2/release-groupscurl --request GET \ --url 'https://app.fossa.com/api/v2/release-groups' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Query params
sortenumThe category to order the results by and sort direction.
pageintegerThe specific page of data to return
countintegerThe number of items to return in each page of results
titlestringFilter by release group name.
teamIdstringFilter by one or more team IDs. Providing "null" will return all unassigned release groups.
latestScanintegerFilter by last policy scan within N days.
isPublicbooleanFilter by whether the release group is public on the portal.